# generated by cabal-rpm-0.12.5
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name yaml
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.8.32
Release:        4%{?dist}
Summary:        Support for parsing and rendering YAML documents

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  pkgconfig(yaml-0.1)
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-mockery-devel
BuildRequires:  ghc-temporary-devel
%endif
# End cabal-rpm deps
Provides:       bundled(libyaml) = 0.2.1

%description
Provides support for parsing and emitting Yaml documents.

The package is broken down into two modules. "Data.Yaml" provides a high-level
interface based around the JSON datatypes provided by the 'aeson' package.
"Text.Libyaml" provides a lower-level, streaming interface. For most users,
"Data.Yaml" is recommended.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(yaml-0.1)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}

# getting missing symbols with libyaml-0.2.1-1.fc29
##cabal-tweak-flag system-libyaml True
### remove the bundled lib
##rm -r libyaml


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md examples


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug  7 2018 Jens Petersen <petersen@redhat.com> - 0.8.32-3
- try using the bundled libyaml to see if it fixes missing symbols

* Tue Aug  7 2018 Jens Petersen <petersen@redhat.com> - 0.8.32-2
- rebuild

* Wed Aug  1 2018 Jens Petersen <petersen@redhat.com> - 0.8.32-2

* Thu Jul 26 2018 Jens Petersen <petersen@redhat.com> - 0.8.32-1
- update to 0.8.32

* Tue Jul 24 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.25.1-5
- Enable annotated build again

* Mon Jul 23 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.25.1-4
- Rebuilt for #1607054

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.25.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.25.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.8.25.1-1
- update to 0.8.25.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.21.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.21.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Jens Petersen <petersen@redhat.com> - 0.8.21.2-1
- update to 0.8.21.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.18.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan  6 2017 Jens Petersen <petersen@redhat.com> - 0.8.18.7-3
- unsubpackage enclosed-exceptions

* Tue Sep 27 2016 Jens Petersen <petersen@redhat.com> - 0.8.18.7-2
- bump

* Tue Sep 27 2016 Jens Petersen <petersen@redhat.com> - 0.8.18.7-1
- update to 0.8.18.7

* Wed Aug 31 2016 Jens Petersen <petersen@redhat.com> - 0.8.18.1-1
- update to 0.8.18.1
- subpackage enclosed-exceptions dep

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 31 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.10-3
- Rebuild (aarch64 vector hashes)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@fedoraproject.org> - 0.8.10-1
- update to 0.8.10

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.8.8.2-5
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Adam Williamson <awilliam@redhat.com> - 0.8.8.2-2
- rebuild for new ghc-scientific

* Fri May 02 2014 Jens Petersen <petersen@redhat.com> - 0.8.8.2-1
- update to 0.8.8.2
- no longer exclude arm

* Wed Jan 22 2014 Jens Petersen <petersen@redhat.com> - 0.8.5.3-1
- update to 0.8.5.3

* Thu Dec 5 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.8.5.2-1
- Latest upstream version.

* Tue Nov 19 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-3
- run chrpath on yaml2json (#1008787)

* Wed Oct 16 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-2
- add static provides and pkgconfig requires to devel

* Tue Sep 17 2013 Jens Petersen <petersen@redhat.com> - 0.8.5-1
- build with system libyaml
- package yaml2json in devel subpackage
- exclude armv7hl because of conduit

* Tue Sep 17 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.8.5-0
- spec file generated by cabal-rpm-0.8.3
